/// <reference types="vite/client" />

declare module "virtual:plugin-key" {
  export function definePluginKey(name: string): void
  export function getCurrentPluginKey(instanceUid: number): string | null
}

declare module "*.vue" {
  import type { DefineComponent } from "vue"
  const component: DefineComponent<{}, {}, any>
  export default component
}
